Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Native Development


Thank you for visiting the BlackBerry Support Community Forums.

BlackBerry will be closing the BlackBerry Support Community Forums Device Forums on April 1st (Developers, see below)

BlackBerry remains committed to providing excellent customer support to our customers. We are delighted to direct you to the CrackBerry Forums, a well-established and thorough support channel, for continued BlackBerry support. Please visit http://forums.crackberry.com or http://crackberry.com/ask. You can also continue to visit BlackBerry Support or the BlackBerry Knowledge Base for official support options available for your BlackBerry Smartphone.

"When we launched CrackBerry.com 10 years ago, we set out to make it a fun and useful destination where BlackBerry Smartphone owners could share their excitement and learn to unleash the full potential of their BlackBerry. A decade later, the CrackBerry community is as active and passionate as ever and I know our knowledgeable members and volunteers will be excited to welcome and assist more BlackBerry owners with their questions."

- Kevin Michaluk, Founder, CrackBerry.com

Developers, for more information about the BlackBerry Developer Community please review Join the Conversation on the BlackBerry Developer Community Forums found on Inside BlackBerry.


Reply
Highlighted
New Contributor
Posts: 3
Registered: ‎04-14-2013
My Device: z10
My Carrier: telenor

Simulator confusion

Hi,

I downloaded the 10.1.0.1020 gold sdk...

After that the 10.1.1020 simulator....(Alpha C)

But it seems geared towards the Q10 (screen is squared) )and I mostly want to do z10 app for now,

so I downloaded the Alpha B simulator (10.09...)

 

But my qt apps crash in it  when I make use of the virtual keyboard (not in the Alpha C)

 

Are Alpha B and the latest SDK incompatible? Should I download a previous version of the sdk?

Thanks

 

Developer
Posts: 217
Registered: ‎09-18-2009
My Device: Z10
My Carrier: O2

Re: Simulator confusion

Simulator version and SDK version should be equal.

New Contributor
Posts: 3
Registered: ‎04-14-2013
My Device: z10
My Carrier: telenor

Re: Simulator confusion

Ok.
Is there any download links for SDK 10.09.x?
Or a way to make the simulator 10.1 simulator behave as Z10?
Developer
Posts: 217
Registered: ‎09-18-2009
My Device: Z10
My Carrier: O2

Re: Simulator confusion

You can download different SDK versions in Momentics.

 

Go to Help > Update Native SDK.

New Contributor
Posts: 3
Registered: ‎04-14-2013
My Device: z10
My Carrier: telenor

Re: Simulator confusion

Ok, I am using QtCreator but I'll see if I can use momentics to download the sdk and use it in QtCreator....
Thanks
BlackBerry Development Advisor
Posts: 118
Registered: ‎11-01-2011
My Device: N/A
My Carrier: Rogers

Re: Simulator confusion

The latest simulator can boot into both Z10 and Q10 resolutions, so feel free to download the latest 10.1 GC build and try it out.